# Overview
TAP is an end to end self service platform for Developers and Non Developers to create and market diverse Telco apps for individual or business needs. TAP is the Telco dream to build a complete mobile ecosystem by exposing Telco services via a rich set of Telco APIs. SMS, USSD, Charging, In-App Purchasing and LBS are some of the APIs that is being exposed through TAP.

We have created three charms in juju, in order to ease the effort put by the developers in preparing the environment and in configuring the dependencies. 
For more information, please watch the following youtube video:

https://www.youtube.com/watch?v=K3QNnk4LAoQ&feature=youtu.be

# CTAP Sample Application
The Dev Space sample application is a simple USSD based application where the application users shall get gym tips and other by simply navigating through couple of USSD screens. The main objective of the sample application is to give an initial understanding about the application creation using Dev Space APIs and guidance in the process.
hsenidmobile-ctap-sampleapp connect to the hsenidmobile-ctap-simulator.

# Dependency
Oralce JDK

# Installation
To deploy this charm you will need at a minimum: a cloud environment, working Juju installation and a successful bootstrap. Once bootstrapped, deploy the ctap-sampleapp charm:

    juju deploy hsenidmobile-ctap-sampleapp

And finally expose the ctap-sampleapp service:

    juju expose hsenidmobile-ctap-sampleapp

# Links to charms
Developer bundle
https://jujucharms.com/bundle/~ctap/hsenidmobile-ctap/1/hsenidmobile-ctap

CTAP sample app charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-sampleapp-4

CTAP simulator charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-simulator-4

CTAP documentation (API guides) charm
https://jujucharms.com/~ctap/trusty/hsenidmobile-ctap-doc-7

